Story5/urls.py
from .views import *
from django.urls import path

app_name = "Story5"
urlpatterns = [
    path('', jadwal, name="jadwal"),    
    path('padd_S/', tambahJadwal, name="padd_S"),
    path('premove_S/<int:id>', hapusJadwal, name="premove_S"),
    # path('delete /<id>',viw)
]

Thalia/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('Story5.urls')),
]

Story5/models.py
from django.db import models

# Create your models here.
class bookschedule(models.Model):
    InputTitle = models.CharField(max_length=50)
    category = models.CharField(max_length=30, default="Task")
    date_start = models.DateTimeField(blank=True, null=True)
    date_end = models.DateTimeField(blank=True, null=True)
    InputLocation = models.CharField(max_length=50)
    InputDescription = models.CharField(max_length=80, blank=True)
    idNumber = models.CharField(max_length=100)

Story5/forms.py
from django import forms
from .models import bookschedule

class FormJadwal(forms.Form):
    InputTitle = forms.CharField(max_length=50, required=True)
    category = forms.CharField(max_length=30)
    date_start = forms.DateTimeField(
        required=True, input_formats=['%Y-%m-%dT%H:%M'])
    date_end = forms.DateTimeField(
        required=True, input_formats=['%Y-%m-%dT%H:%M'])
    InputLocation = forms.CharField(max_length=50)
    InputDescription = forms.CharField(max_length=80, required=False)
    """ class Meta:
        model = models.bookschedule
        fields = [
            'InputTitle',
            'category',
            'date_start',
            'date_end',
            'InputLocation',
            'InputDescription',
        ] """


""" from django import forms
from . import models
from django.utils import timezone
from datetime import datetime

class TimeInput(forms.TimeInput):
    input_type = "time"

class DateInput(forms.DateInput):
    input_type = "date"
    input_formats = ['%d %b %Y']


class FormJadwal(forms.ModelForm):
    class Meta:
        model = models.bookschedule
        fields = ['InputTitle', 'category', 'date_start', 'date_end', 'InputLocation', 'InputDescription']

         widgets = {
            "time": TimeInput,
            "date": DateInput
        }
  """

Story5/views.py
from django.shortcuts import render, redirect
from .models import bookschedule
from .forms import FormJadwal


# Create your views here.
def jadwal(request):
    page_jadwal = bookschedule.objects.all()
    form = FormJadwal()
    if request.method == 'POST':
        form = FormJadwal(request.POST)
        if form.is_valid():
            InputTitle = request.POST['InputTitle']
            category = request.POST['category']
            date_start = request.POST['date_start']
            date_end = request.POST['date_end']
            InputLocation = request.POST['location']
            InputDescription = request.POST['description']
            addSchedule = bookschedule(InputTitle=InputTitle, category=category, date_start=date_start, date_end=date_end, InputLocation=InputLocation, InputDescription=InputDescription,   )
            addSchedule.save()
            return redirect('Story5:jadwal')

    return render(request, 'index.html', {
        'page_jadwal': page_jadwal, 'form': form
    })

def tambahJadwal(request):
    if request.method == 'POST':
        form = FormJadwal(request.POST)
        print(request.POST['InputDescription'])
        if form.is_valid():
            InputTitle = request.POST['InputTitle']
            category = request.POST['category']
            date_start = request.POST['date_start']
            date_end = request.POST['date_end']
            InputLocation = request.POST['InputLocation']
            InputDescription = request.POST['InputDescription']
            addSchedule = bookschedule(InputTitle=InputTitle, category=category, date_start=date_start, date_end=date_end, InputLocation=InputLocation, InputDescription=InputDescription,   )
            addSchedule.save()
    return redirect('Story5:jadwal')

def hapusJadwal(request,id):
    if request.method == 'POST':

        # hapus = bookschedule.objects.get(id=request.POST['id'])
        # hapus.delete()
        bookschedule.objects.get(id=id).delete()
    return redirect('Story5:jadwal')

Story5/templates/index.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    <title>Schedule</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">

</head>
<form method="POST" action="/padd_S/">
        {% csrf_token %}
    <h3 align ="center">Book Your Schedule</h3>
    <div class="form-group">
      <label>Title</label>
      <input type="text" class="form-control" name="InputTitle" maxlength="50" id= "id_InputTitle" placeholder="Add title">
    </div>
    <div class="form-group">
        <label>Add Category</label>
        <select name="category" class="form-control" id="InputCategory">
          <option>Event</option>
          <option>Task</option>
          <option>Reminder</option>
          <option>Goal</option>
        </select>
    </div>
    <div class="form-row">
            <div class="form-group col-6">
                <label>Start</label>
                <input type="datetime-local" class="form-control" name="date_start" id="id_date_start">
            </div>
            <div class="form-group col-6">
                <label>End</label>
                <input type="datetime-local" class="form-control" name="date_end" id="id_date_end">
            </div>
        </div>

    <div class="form-group">
        <label>Add Location</label>
        <input type="text" class="form-control" name="InputLocation" maxlength="80" placeholder="location" id="id_InputLocation">
    </div>
    <div class="form-group">
        <label>Add description</label>
        <textarea type="text" class="form-control" name="InputDescription" maxlength="80" rows="3" id="id_InputDescription"></textarea>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>

  {% for index in page_jadwal %}
  <div class="col-md-1">
      <form action="premove_S/{{ index.id }}" method="POST">
        {% csrf_token %}
          <br>
          <button type="submit" name="submit" class="btn btn-danger" value="hapusJadwal" id="submit_btn">
              <img class="cross-x" alt="Delete" width="25"
                  height="25">
          </button>
          <input type="hidden" name="id" value="{{ index.id }}">
          <!-- {{ form }} -->
      </form>
  </div>
  <div class="col-md-5">
      <br>
      <h5> {{index.InputTitle }}</h5>
      <h6> Category: {{ index.category }}</h6>
      <h6> Start: {{ index.date_start }}</h6>
      <h6> End: {{ index.date_end }}</h6>
      <h6> Add Location: {{ index.InputLocation }}</h6>
      <h6> Add Description: {{ index.InputDescription }}</h6>
  </div>
  {% endfor %}

  </html>